Developer Documentation

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
viewModeWidget Class Reference
Inheritance diagram for viewModeWidget:

## Signals
void | changeView (QString _mode, QStringList _toolboxWidgets, QStringList _toolbars, QStringList _contextmenus)
| Changes the view mode to the currently configured one.
void | saveMode (QString _name, bool _custom, QStringList _toolboxWidgets, QStringList _toolbars, QStringList _contextmenus)
| saves the given mode
void | removeMode (QString _name)
| This signal is emitted to remove a mode.

## Public Member Functions
| viewModeWidget (const QVector< ViewMode * > &_modes, QWidget *parent=0)
| Constructor.
void | show (QString _lastMode)
| overloaded show function

## Private Slots
void | slotModeChanged (QString _mode)
| Slot for updating removeButton when new mode is selected.
void | slotModeClicked (QModelIndex _id)
| Slot for updating removeButton when new mode is selected.
void | slotRemoveMode ()
| Button slot to remove the selected view mode. More...
void | slotCopyMode ()
| Button slot to copy the selected view mode. More...
void | slotAddMode ()
| Button slot to add a new empty mode. More...
void | slotModeContextMenu (const QPoint &_pos)
| Context Menu View Modes. More...
void | slotSetIcon ()
| Context menu slot to change the icon for a view mode. More...
void | slotSetAllWidgets ()
| Update list views. More...
void | slotUsedToolbarContextMenu (const QPoint &_pos)
| Context Menu Used Toolbars. More...
void | slotAvailableToolbarContextMenu (const QPoint &_pos)
| Context Menu Available Toolbars. More...
void | slotUsedToolboxContextMenu (const QPoint &_pos)
| Context Menu Used Toolboxes. More...
void | slotAvailableToolboxContextMenu (const QPoint &_pos)
| Context Menu Available Toolboxes. More...
void | slotUsedContextMenuContextMenu (const QPoint &_pos)
| Context Menu Used ContextMenus. More...
void | slotAvailableContextMenuContextMenu (const QPoint &_pos)
| Context Menu Available ContextMenus. More...
void | slotRightArrowToolbar ()
| remove Toolbars from Mode More...
void | slotLeftArrowToolbar ()
| add Toolbars to Mode More...
void | slotRightArrowToolbox ()
| remove Toolboxes from Mode More...
void | slotLeftArrowToolbox ()
| add Toolboxes to Mode More...
void | slotMoveToolboxUp ()
| Move Toolbox up. More...
void | slotMoveToolboxDown ()
| Move Toolbox down. More...
void | slotRightArrowContextMenu ()
| remove ContextMenu from Mode More...
void | slotLeftArrowContextMenu ()
| add ContextMenu to Mode More...
void | slotMoveContextMenuUp ()
| Move ContextMenu up. More...
void | slotMoveContextMenuDown ()
| Move Toolbox down. More...
void | slotChangeView ()
| Slot for changing the current view to currently configured one. More...
void | slotSaveMode ()
| Save the current view mode configuration. More...

## Private Attributes
const QVector< ViewMode *> & | modes_

## Detailed Description

Definition at line 48 of file viewModeWidget.hh.

## Member Function Documentation

## ◆ slotAddMode

void viewModeWidget::slotAddMode | ( |  | ) |
| private slot

Button slot to add a new empty mode.

This slot creates an new empty view mode

Definition at line 204 of file viewModeWidget.cc.

## ◆ slotAvailableContextMenuContextMenu

void viewModeWidget::slotAvailableContextMenuContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu Available ContextMenus.

opens custom context menu in available contextmenu-List

This slot shows the available ContextMenu Context Menu

Definition at line 459 of file viewModeWidget.cc.

## ◆ slotAvailableToolbarContextMenu

void viewModeWidget::slotAvailableToolbarContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu Available Toolbars.

opens custom context menu in available toolbar-List

This slot shows the available toolbar Context Menu

Definition at line 383 of file viewModeWidget.cc.

## ◆ slotAvailableToolboxContextMenu

void viewModeWidget::slotAvailableToolboxContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu Available Toolboxes.

opens custom context menu in available toolbox-List

This slot shows the available toolbox Context Menu

Definition at line 421 of file viewModeWidget.cc.

## ◆ slotChangeView

void viewModeWidget::slotChangeView | ( |  | ) |
| private slot

Slot for changing the current view to currently configured one.

Slot for changing View and closing widget.

Definition at line 653 of file viewModeWidget.cc.

## ◆ slotCopyMode

void viewModeWidget::slotCopyMode | ( |  | ) |
| private slot

Button slot to copy the selected view mode.

This slot copies the currently selected view mode

Definition at line 156 of file viewModeWidget.cc.

## ◆ slotLeftArrowContextMenu

void viewModeWidget::slotLeftArrowContextMenu | ( |  | ) |
| private slot

add ContextMenu to Mode

This slot adds the selected widgets to the current view Mode

Definition at line 581 of file viewModeWidget.cc.

## ◆ slotLeftArrowToolbar

void viewModeWidget::slotLeftArrowToolbar | ( |  | ) |
| private slot

add Toolbars to Mode

This slot adds the selected toolbars to the current view Mode

Definition at line 484 of file viewModeWidget.cc.

## ◆ slotLeftArrowToolbox

void viewModeWidget::slotLeftArrowToolbox | ( |  | ) |
| private slot

add Toolboxes to Mode

This slot adds the selected widgets to the current view Mode

Definition at line 504 of file viewModeWidget.cc.

## ◆ slotModeContextMenu

void viewModeWidget::slotModeContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu View Modes.

This slot shows the used toolbar Context Menu

Definition at line 241 of file viewModeWidget.cc.

## ◆ slotMoveContextMenuDown

void viewModeWidget::slotMoveContextMenuDown | ( |  | ) |
| private slot

Move Toolbox down.

Move widget down in the list.

This slot moves the widget downward in the list of used modes

Definition at line 619 of file viewModeWidget.cc.

## ◆ slotMoveContextMenuUp

void viewModeWidget::slotMoveContextMenuUp | ( |  | ) |
| private slot

Move ContextMenu up.

Move Widget up in the list.

This slot moves the widget upward in the list of used modes

Definition at line 591 of file viewModeWidget.cc.

## ◆ slotMoveToolboxDown

void viewModeWidget::slotMoveToolboxDown | ( |  | ) |
| private slot

Move Toolbox down.

Move widget down in the list.

This slot moves the widget downward in the list of used modes

Definition at line 542 of file viewModeWidget.cc.

## ◆ slotMoveToolboxUp

void viewModeWidget::slotMoveToolboxUp | ( |  | ) |
| private slot

Move Toolbox up.

Move Widget up in the list.

This slot moves the widget upward in the list of used modes

Definition at line 514 of file viewModeWidget.cc.

## ◆ slotRemoveMode

void viewModeWidget::slotRemoveMode | ( |  | ) |
| private slot

Button slot to remove the selected view mode.

This slot removes the currently selected view mode

Definition at line 150 of file viewModeWidget.cc.

## ◆ slotRightArrowContextMenu

void viewModeWidget::slotRightArrowContextMenu | ( |  | ) |
| private slot

remove ContextMenu from Mode

This slot removes the selected widgets from the current view Mode

Definition at line 573 of file viewModeWidget.cc.

## ◆ slotRightArrowToolbar

void viewModeWidget::slotRightArrowToolbar | ( |  | ) |
| private slot

remove Toolbars from Mode

This slot removes the selected toolbars from the current view Mode

Definition at line 476 of file viewModeWidget.cc.

## ◆ slotRightArrowToolbox

void viewModeWidget::slotRightArrowToolbox | ( |  | ) |
| private slot

remove Toolboxes from Mode

This slot removes the selected widgets from the current view Mode

Definition at line 496 of file viewModeWidget.cc.

## ◆ slotSaveMode

void viewModeWidget::slotSaveMode | ( |  | ) |
| private slot

Save the current view mode configuration.

Slot for saving current List of Widgets as custom mode.

Takes the given configuration and saves the mode

Definition at line 735 of file viewModeWidget.cc.

## ◆ slotSetAllWidgets

void viewModeWidget::slotSetAllWidgets | ( |  | ) |
| private slot

Update list views.

This slot updates all list views depending on the currently selected view mode

Definition at line 297 of file viewModeWidget.cc.

## ◆ slotSetIcon

void viewModeWidget::slotSetIcon | ( |  | ) |
| private slot

Context menu slot to change the icon for a view mode.

This slot asks the user to change the icon of the given view mode

Definition at line 263 of file viewModeWidget.cc.

## ◆ slotUsedContextMenuContextMenu

void viewModeWidget::slotUsedContextMenuContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu Used ContextMenus.

opens custom context menu in used contextmenu-List

This slot shows the used ContextMenu Context Menu

Definition at line 439 of file viewModeWidget.cc.

## ◆ slotUsedToolbarContextMenu

void viewModeWidget::slotUsedToolbarContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu Used Toolbars.

opens custom context menu in used toolbar-List

This slot shows the used toolbar Context Menu

Definition at line 369 of file viewModeWidget.cc.

## ◆ slotUsedToolboxContextMenu

void viewModeWidget::slotUsedToolboxContextMenu | ( | const QPoint & | _pos | ) |
| private slot

Context Menu Used Toolboxes.

opens custom context menu in used toolbox-List

This slot shows the used toolbox Context Menu

Definition at line 401 of file viewModeWidget.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/viewModeWidget/viewModeWidget.hh
- OpenFlipper/widgets/viewModeWidget/viewModeWidget.cc